<!--[metadata]>
+++
title = "The Docker Hub"
description = "The Docker Help documentation home"
keywords = ["Docker, docker, registry, accounts, plans, Dockerfile, Docker Hub, docs, documentation, accounts, organizations, repositories,  groups"]
[menu.main]
parent = "smn_pubhub"
+++
<![end-metadata]-->

# Docker Hub

The [Docker Hub](https://hub.docker.com) provides a cloud-based platform service
for distributed applications, including container image distribution and change
management, user and team collaboration, and lifecycle workflow automation.

![DockerHub](/docker-hub/hub-images/hub.png)

## [Finding and pulling images](./userguide.md)

Find out how to [use the Docker Hub](./userguide.md) to find and pull Docker
images to run or build upon.

## [Accounts](./accounts.md)

[Learn how to create](./accounts.md) a Docker Hub
account and manage your organizations and groups.

## [Your Repositories](./repos.md)

Find out how to share your Docker images in [Docker Hub
repositories](./repos.md) and how to store and manage private images.

## [Automated builds](./builds.md)

Learn how to automate your build and deploy pipeline with [Automated
Builds](./builds.md)

